// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.14.0
// source: pkg/googlebook/book_api.proto

package googlebook

import (
	common "gitlab.com/lemonster.izoone/protobuf/pkg/common"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Api struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Request  *common.Request `protobuf:"bytes,1,opt,name=request,proto3" json:"request,omitempty"`
	Response *Response       `protobuf:"bytes,2,opt,name=response,proto3" json:"response,omitempty"`
}

func (x *Api) Reset() {
	*x = Api{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_googlebook_book_api_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Api) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Api) ProtoMessage() {}

func (x *Api) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_googlebook_book_api_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Api.ProtoReflect.Descriptor instead.
func (*Api) Descriptor() ([]byte, []int) {
	return file_pkg_googlebook_book_api_proto_rawDescGZIP(), []int{0}
}

func (x *Api) GetRequest() *common.Request {
	if x != nil {
		return x.Request
	}
	return nil
}

func (x *Api) GetResponse() *Response {
	if x != nil {
		return x.Response
	}
	return nil
}

type Response struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Kind       string             `protobuf:"bytes,1,opt,name=kind,proto3" json:"kind,omitempty"`
	TotalItems int32              `protobuf:"varint,2,opt,name=totalItems,proto3" json:"totalItems,omitempty"`
	Items      []*Response_Record `protobuf:"bytes,3,rep,name=items,proto3" json:"items,omitempty"`
}

func (x *Response) Reset() {
	*x = Response{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_googlebook_book_api_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Response) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Response) ProtoMessage() {}

func (x *Response) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_googlebook_book_api_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Response.ProtoReflect.Descriptor instead.
func (*Response) Descriptor() ([]byte, []int) {
	return file_pkg_googlebook_book_api_proto_rawDescGZIP(), []int{1}
}

func (x *Response) GetKind() string {
	if x != nil {
		return x.Kind
	}
	return ""
}

func (x *Response) GetTotalItems() int32 {
	if x != nil {
		return x.TotalItems
	}
	return 0
}

func (x *Response) GetItems() []*Response_Record {
	if x != nil {
		return x.Items
	}
	return nil
}

type Response_Record struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Kind       string                      `protobuf:"bytes,1,opt,name=kind,proto3" json:"kind,omitempty"`
	Id         string                      `protobuf:"bytes,2,opt,name=id,proto3" json:"id,omitempty"`
	Etag       string                      `protobuf:"bytes,3,opt,name=etag,proto3" json:"etag,omitempty"`
	SelfLink   string                      `protobuf:"bytes,4,opt,name=selfLink,proto3" json:"selfLink,omitempty"`
	VolumeInfo *Response_Record_VolumeInfo `protobuf:"bytes,5,opt,name=volumeInfo,proto3" json:"volumeInfo,omitempty"`
	SaleInfo   *Response_Record_SaleInfo   `protobuf:"bytes,6,opt,name=saleInfo,proto3" json:"saleInfo,omitempty"`
	AccessInfo *Response_Record_AccessInfo `protobuf:"bytes,7,opt,name=accessInfo,proto3" json:"accessInfo,omitempty"`
	SearchInfo *Response_Record_SearchInfo `protobuf:"bytes,8,opt,name=searchInfo,proto3" json:"searchInfo,omitempty"`
}

func (x *Response_Record) Reset() {
	*x = Response_Record{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_googlebook_book_api_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Response_Record) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Response_Record) ProtoMessage() {}

func (x *Response_Record) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_googlebook_book_api_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Response_Record.ProtoReflect.Descriptor instead.
func (*Response_Record) Descriptor() ([]byte, []int) {
	return file_pkg_googlebook_book_api_proto_rawDescGZIP(), []int{1, 0}
}

func (x *Response_Record) GetKind() string {
	if x != nil {
		return x.Kind
	}
	return ""
}

func (x *Response_Record) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *Response_Record) GetEtag() string {
	if x != nil {
		return x.Etag
	}
	return ""
}

func (x *Response_Record) GetSelfLink() string {
	if x != nil {
		return x.SelfLink
	}
	return ""
}

func (x *Response_Record) GetVolumeInfo() *Response_Record_VolumeInfo {
	if x != nil {
		return x.VolumeInfo
	}
	return nil
}

func (x *Response_Record) GetSaleInfo() *Response_Record_SaleInfo {
	if x != nil {
		return x.SaleInfo
	}
	return nil
}

func (x *Response_Record) GetAccessInfo() *Response_Record_AccessInfo {
	if x != nil {
		return x.AccessInfo
	}
	return nil
}

func (x *Response_Record) GetSearchInfo() *Response_Record_SearchInfo {
	if x != nil {
		return x.SearchInfo
	}
	return nil
}

type Response_Record_VolumeInfo struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Title               string                                           `protobuf:"bytes,1,opt,name=title,proto3" json:"title,omitempty"`
	Subtitle            string                                           `protobuf:"bytes,2,opt,name=subtitle,proto3" json:"subtitle,omitempty"`
	Authors             []string                                         `protobuf:"bytes,3,rep,name=authors,proto3" json:"authors,omitempty"`
	Publisher           string                                           `protobuf:"bytes,4,opt,name=publisher,proto3" json:"publisher,omitempty"`
	PublishedDate       string                                           `protobuf:"bytes,5,opt,name=publishedDate,proto3" json:"publishedDate,omitempty"`
	Description         string                                           `protobuf:"bytes,6,opt,name=description,proto3" json:"description,omitempty"`
	IndustryIdentifiers []*Response_Record_VolumeInfo_IndustryIdentifier `protobuf:"bytes,7,rep,name=industryIdentifiers,proto3" json:"industryIdentifiers,omitempty"`
	ReadingModes        *Response_Record_VolumeInfo_ReadingMode          `protobuf:"bytes,8,opt,name=readingModes,proto3" json:"readingModes,omitempty"`
	PageCount           int32                                            `protobuf:"varint,9,opt,name=pageCount,proto3" json:"pageCount,omitempty"`
	PrintType           string                                           `protobuf:"bytes,10,opt,name=printType,proto3" json:"printType,omitempty"`
	Categories          []string                                         `protobuf:"bytes,11,rep,name=categories,proto3" json:"categories,omitempty"`
	AverageRating       float32                                          `protobuf:"fixed32,12,opt,name=averageRating,proto3" json:"averageRating,omitempty"`
	RatingsCount        int32                                            `protobuf:"varint,13,opt,name=ratingsCount,proto3" json:"ratingsCount,omitempty"`
	MaturityRating      string                                           `protobuf:"bytes,14,opt,name=maturityRating,proto3" json:"maturityRating,omitempty"`
	AllowAnonLogging    bool                                             `protobuf:"varint,15,opt,name=allowAnonLogging,proto3" json:"allowAnonLogging,omitempty"`
	ContentVersion      string                                           `protobuf:"bytes,16,opt,name=contentVersion,proto3" json:"contentVersion,omitempty"`
	PanelizationSummary *Response_Record_VolumeInfo_PanelizationSummary  `protobuf:"bytes,17,opt,name=panelizationSummary,proto3" json:"panelizationSummary,omitempty"`
	ImageLinks          *Response_Record_VolumeInfo_ImageLinks           `protobuf:"bytes,18,opt,name=imageLinks,proto3" json:"imageLinks,omitempty"`
	Language            string                                           `protobuf:"bytes,19,opt,name=language,proto3" json:"language,omitempty"`
	PreviewLink         string                                           `protobuf:"bytes,20,opt,name=previewLink,proto3" json:"previewLink,omitempty"`
	InfoLink            string                                           `protobuf:"bytes,21,opt,name=infoLink,proto3" json:"infoLink,omitempty"`
	CanonicalVolumeLink string                                           `protobuf:"bytes,22,opt,name=canonicalVolumeLink,proto3" json:"canonicalVolumeLink,omitempty"`
}

func (x *Response_Record_VolumeInfo) Reset() {
	*x = Response_Record_VolumeInfo{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_googlebook_book_api_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Response_Record_VolumeInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Response_Record_VolumeInfo) ProtoMessage() {}

func (x *Response_Record_VolumeInfo) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_googlebook_book_api_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Response_Record_VolumeInfo.ProtoReflect.Descriptor instead.
func (*Response_Record_VolumeInfo) Descriptor() ([]byte, []int) {
	return file_pkg_googlebook_book_api_proto_rawDescGZIP(), []int{1, 0, 0}
}

func (x *Response_Record_VolumeInfo) GetTitle() string {
	if x != nil {
		return x.Title
	}
	return ""
}

func (x *Response_Record_VolumeInfo) GetSubtitle() string {
	if x != nil {
		return x.Subtitle
	}
	return ""
}

func (x *Response_Record_VolumeInfo) GetAuthors() []string {
	if x != nil {
		return x.Authors
	}
	return nil
}

func (x *Response_Record_VolumeInfo) GetPublisher() string {
	if x != nil {
		return x.Publisher
	}
	return ""
}

func (x *Response_Record_VolumeInfo) GetPublishedDate() string {
	if x != nil {
		return x.PublishedDate
	}
	return ""
}

func (x *Response_Record_VolumeInfo) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

func (x *Response_Record_VolumeInfo) GetIndustryIdentifiers() []*Response_Record_VolumeInfo_IndustryIdentifier {
	if x != nil {
		return x.IndustryIdentifiers
	}
	return nil
}

func (x *Response_Record_VolumeInfo) GetReadingModes() *Response_Record_VolumeInfo_ReadingMode {
	if x != nil {
		return x.ReadingModes
	}
	return nil
}

func (x *Response_Record_VolumeInfo) GetPageCount() int32 {
	if x != nil {
		return x.PageCount
	}
	return 0
}

func (x *Response_Record_VolumeInfo) GetPrintType() string {
	if x != nil {
		return x.PrintType
	}
	return ""
}

func (x *Response_Record_VolumeInfo) GetCategories() []string {
	if x != nil {
		return x.Categories
	}
	return nil
}

func (x *Response_Record_VolumeInfo) GetAverageRating() float32 {
	if x != nil {
		return x.AverageRating
	}
	return 0
}

func (x *Response_Record_VolumeInfo) GetRatingsCount() int32 {
	if x != nil {
		return x.RatingsCount
	}
	return 0
}

func (x *Response_Record_VolumeInfo) GetMaturityRating() string {
	if x != nil {
		return x.MaturityRating
	}
	return ""
}

func (x *Response_Record_VolumeInfo) GetAllowAnonLogging() bool {
	if x != nil {
		return x.AllowAnonLogging
	}
	return false
}

func (x *Response_Record_VolumeInfo) GetContentVersion() string {
	if x != nil {
		return x.ContentVersion
	}
	return ""
}

func (x *Response_Record_VolumeInfo) GetPanelizationSummary() *Response_Record_VolumeInfo_PanelizationSummary {
	if x != nil {
		return x.PanelizationSummary
	}
	return nil
}

func (x *Response_Record_VolumeInfo) GetImageLinks() *Response_Record_VolumeInfo_ImageLinks {
	if x != nil {
		return x.ImageLinks
	}
	return nil
}

func (x *Response_Record_VolumeInfo) GetLanguage() string {
	if x != nil {
		return x.Language
	}
	return ""
}

func (x *Response_Record_VolumeInfo) GetPreviewLink() string {
	if x != nil {
		return x.PreviewLink
	}
	return ""
}

func (x *Response_Record_VolumeInfo) GetInfoLink() string {
	if x != nil {
		return x.InfoLink
	}
	return ""
}

func (x *Response_Record_VolumeInfo) GetCanonicalVolumeLink() string {
	if x != nil {
		return x.CanonicalVolumeLink
	}
	return ""
}

type Response_Record_SaleInfo struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Country     string                                `protobuf:"bytes,1,opt,name=country,proto3" json:"country,omitempty"`
	Saleability string                                `protobuf:"bytes,2,opt,name=saleability,proto3" json:"saleability,omitempty"`
	IsEbook     bool                                  `protobuf:"varint,3,opt,name=isEbook,proto3" json:"isEbook,omitempty"`
	ListPrice   *Response_Record_SaleInfo_ListPrice   `protobuf:"bytes,4,opt,name=listPrice,proto3" json:"listPrice,omitempty"`
	RetailPrice *Response_Record_SaleInfo_RetailPrice `protobuf:"bytes,5,opt,name=retailPrice,proto3" json:"retailPrice,omitempty"`
	BuyLink     string                                `protobuf:"bytes,6,opt,name=buyLink,proto3" json:"buyLink,omitempty"`
	Offers      []*Response_Record_SaleInfo_Offer     `protobuf:"bytes,7,rep,name=offers,proto3" json:"offers,omitempty"`
}

func (x *Response_Record_SaleInfo) Reset() {
	*x = Response_Record_SaleInfo{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_googlebook_book_api_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Response_Record_SaleInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Response_Record_SaleInfo) ProtoMessage() {}

func (x *Response_Record_SaleInfo) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_googlebook_book_api_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Response_Record_SaleInfo.ProtoReflect.Descriptor instead.
func (*Response_Record_SaleInfo) Descriptor() ([]byte, []int) {
	return file_pkg_googlebook_book_api_proto_rawDescGZIP(), []int{1, 0, 1}
}

func (x *Response_Record_SaleInfo) GetCountry() string {
	if x != nil {
		return x.Country
	}
	return ""
}

func (x *Response_Record_SaleInfo) GetSaleability() string {
	if x != nil {
		return x.Saleability
	}
	return ""
}

func (x *Response_Record_SaleInfo) GetIsEbook() bool {
	if x != nil {
		return x.IsEbook
	}
	return false
}

func (x *Response_Record_SaleInfo) GetListPrice() *Response_Record_SaleInfo_ListPrice {
	if x != nil {
		return x.ListPrice
	}
	return nil
}

func (x *Response_Record_SaleInfo) GetRetailPrice() *Response_Record_SaleInfo_RetailPrice {
	if x != nil {
		return x.RetailPrice
	}
	return nil
}

func (x *Response_Record_SaleInfo) GetBuyLink() string {
	if x != nil {
		return x.BuyLink
	}
	return ""
}

func (x *Response_Record_SaleInfo) GetOffers() []*Response_Record_SaleInfo_Offer {
	if x != nil {
		return x.Offers
	}
	return nil
}

type Response_Record_AccessInfo struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Country                string                           `protobuf:"bytes,1,opt,name=country,proto3" json:"country,omitempty"`
	Viewability            string                           `protobuf:"bytes,2,opt,name=viewability,proto3" json:"viewability,omitempty"`
	Embeddable             bool                             `protobuf:"varint,3,opt,name=embeddable,proto3" json:"embeddable,omitempty"`
	PublicDomain           bool                             `protobuf:"varint,4,opt,name=publicDomain,proto3" json:"publicDomain,omitempty"`
	TextToSpeechPermission string                           `protobuf:"bytes,5,opt,name=textToSpeechPermission,proto3" json:"textToSpeechPermission,omitempty"`
	Epub                   *Response_Record_AccessInfo_Epub `protobuf:"bytes,6,opt,name=epub,proto3" json:"epub,omitempty"`
	Pdf                    *Response_Record_AccessInfo_Pdf  `protobuf:"bytes,7,opt,name=pdf,proto3" json:"pdf,omitempty"`
	WebReaderLink          string                           `protobuf:"bytes,8,opt,name=webReaderLink,proto3" json:"webReaderLink,omitempty"`
	AccessViewStatus       string                           `protobuf:"bytes,9,opt,name=accessViewStatus,proto3" json:"accessViewStatus,omitempty"`
	QuoteSharingAllowed    bool                             `protobuf:"varint,10,opt,name=quoteSharingAllowed,proto3" json:"quoteSharingAllowed,omitempty"`
}

func (x *Response_Record_AccessInfo) Reset() {
	*x = Response_Record_AccessInfo{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_googlebook_book_api_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Response_Record_AccessInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Response_Record_AccessInfo) ProtoMessage() {}

func (x *Response_Record_AccessInfo) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_googlebook_book_api_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Response_Record_AccessInfo.ProtoReflect.Descriptor instead.
func (*Response_Record_AccessInfo) Descriptor() ([]byte, []int) {
	return file_pkg_googlebook_book_api_proto_rawDescGZIP(), []int{1, 0, 2}
}

func (x *Response_Record_AccessInfo) GetCountry() string {
	if x != nil {
		return x.Country
	}
	return ""
}

func (x *Response_Record_AccessInfo) GetViewability() string {
	if x != nil {
		return x.Viewability
	}
	return ""
}

func (x *Response_Record_AccessInfo) GetEmbeddable() bool {
	if x != nil {
		return x.Embeddable
	}
	return false
}

func (x *Response_Record_AccessInfo) GetPublicDomain() bool {
	if x != nil {
		return x.PublicDomain
	}
	return false
}

func (x *Response_Record_AccessInfo) GetTextToSpeechPermission() string {
	if x != nil {
		return x.TextToSpeechPermission
	}
	return ""
}

func (x *Response_Record_AccessInfo) GetEpub() *Response_Record_AccessInfo_Epub {
	if x != nil {
		return x.Epub
	}
	return nil
}

func (x *Response_Record_AccessInfo) GetPdf() *Response_Record_AccessInfo_Pdf {
	if x != nil {
		return x.Pdf
	}
	return nil
}

func (x *Response_Record_AccessInfo) GetWebReaderLink() string {
	if x != nil {
		return x.WebReaderLink
	}
	return ""
}

func (x *Response_Record_AccessInfo) GetAccessViewStatus() string {
	if x != nil {
		return x.AccessViewStatus
	}
	return ""
}

func (x *Response_Record_AccessInfo) GetQuoteSharingAllowed() bool {
	if x != nil {
		return x.QuoteSharingAllowed
	}
	return false
}

type Response_Record_SearchInfo struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	TextSnippet string `protobuf:"bytes,1,opt,name=textSnippet,proto3" json:"textSnippet,omitempty"`
}

func (x *Response_Record_SearchInfo) Reset() {
	*x = Response_Record_SearchInfo{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_googlebook_book_api_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Response_Record_SearchInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Response_Record_SearchInfo) ProtoMessage() {}

func (x *Response_Record_SearchInfo) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_googlebook_book_api_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Response_Record_SearchInfo.ProtoReflect.Descriptor instead.
func (*Response_Record_SearchInfo) Descriptor() ([]byte, []int) {
	return file_pkg_googlebook_book_api_proto_rawDescGZIP(), []int{1, 0, 3}
}

func (x *Response_Record_SearchInfo) GetTextSnippet() string {
	if x != nil {
		return x.TextSnippet
	}
	return ""
}

type Response_Record_VolumeInfo_IndustryIdentifier struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Type       string `protobuf:"bytes,1,opt,name=type,proto3" json:"type,omitempty"`
	Identifier string `protobuf:"bytes,2,opt,name=identifier,proto3" json:"identifier,omitempty"`
}

func (x *Response_Record_VolumeInfo_IndustryIdentifier) Reset() {
	*x = Response_Record_VolumeInfo_IndustryIdentifier{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_googlebook_book_api_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Response_Record_VolumeInfo_IndustryIdentifier) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Response_Record_VolumeInfo_IndustryIdentifier) ProtoMessage() {}

func (x *Response_Record_VolumeInfo_IndustryIdentifier) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_googlebook_book_api_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Response_Record_VolumeInfo_IndustryIdentifier.ProtoReflect.Descriptor instead.
func (*Response_Record_VolumeInfo_IndustryIdentifier) Descriptor() ([]byte, []int) {
	return file_pkg_googlebook_book_api_proto_rawDescGZIP(), []int{1, 0, 0, 0}
}

func (x *Response_Record_VolumeInfo_IndustryIdentifier) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *Response_Record_VolumeInfo_IndustryIdentifier) GetIdentifier() string {
	if x != nil {
		return x.Identifier
	}
	return ""
}

type Response_Record_VolumeInfo_ReadingMode struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Text       bool `protobuf:"varint,1,opt,name=text,proto3" json:"text,omitempty"`
	Identifier bool `protobuf:"varint,2,opt,name=identifier,proto3" json:"identifier,omitempty"`
	Image      bool `protobuf:"varint,3,opt,name=image,proto3" json:"image,omitempty"`
}

func (x *Response_Record_VolumeInfo_ReadingMode) Reset() {
	*x = Response_Record_VolumeInfo_ReadingMode{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_googlebook_book_api_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Response_Record_VolumeInfo_ReadingMode) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Response_Record_VolumeInfo_ReadingMode) ProtoMessage() {}

func (x *Response_Record_VolumeInfo_ReadingMode) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_googlebook_book_api_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Response_Record_VolumeInfo_ReadingMode.ProtoReflect.Descriptor instead.
func (*Response_Record_VolumeInfo_ReadingMode) Descriptor() ([]byte, []int) {
	return file_pkg_googlebook_book_api_proto_rawDescGZIP(), []int{1, 0, 0, 1}
}

func (x *Response_Record_VolumeInfo_ReadingMode) GetText() bool {
	if x != nil {
		return x.Text
	}
	return false
}

func (x *Response_Record_VolumeInfo_ReadingMode) GetIdentifier() bool {
	if x != nil {
		return x.Identifier
	}
	return false
}

func (x *Response_Record_VolumeInfo_ReadingMode) GetImage() bool {
	if x != nil {
		return x.Image
	}
	return false
}

type Response_Record_VolumeInfo_PanelizationSummary struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ContainsEpubBubbles  bool `protobuf:"varint,1,opt,name=containsEpubBubbles,proto3" json:"containsEpubBubbles,omitempty"`
	ContainsImageBubbles bool `protobuf:"varint,2,opt,name=containsImageBubbles,proto3" json:"containsImageBubbles,omitempty"`
}

func (x *Response_Record_VolumeInfo_PanelizationSummary) Reset() {
	*x = Response_Record_VolumeInfo_PanelizationSummary{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_googlebook_book_api_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Response_Record_VolumeInfo_PanelizationSummary) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Response_Record_VolumeInfo_PanelizationSummary) ProtoMessage() {}

func (x *Response_Record_VolumeInfo_PanelizationSummary) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_googlebook_book_api_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Response_Record_VolumeInfo_PanelizationSummary.ProtoReflect.Descriptor instead.
func (*Response_Record_VolumeInfo_PanelizationSummary) Descriptor() ([]byte, []int) {
	return file_pkg_googlebook_book_api_proto_rawDescGZIP(), []int{1, 0, 0, 2}
}

func (x *Response_Record_VolumeInfo_PanelizationSummary) GetContainsEpubBubbles() bool {
	if x != nil {
		return x.ContainsEpubBubbles
	}
	return false
}

func (x *Response_Record_VolumeInfo_PanelizationSummary) GetContainsImageBubbles() bool {
	if x != nil {
		return x.ContainsImageBubbles
	}
	return false
}

type Response_Record_VolumeInfo_ImageLinks struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	SmallThumbnail string `protobuf:"bytes,1,opt,name=smallThumbnail,proto3" json:"smallThumbnail,omitempty"`
	Thumbnail      string `protobuf:"bytes,2,opt,name=thumbnail,proto3" json:"thumbnail,omitempty"`
	Small          string `protobuf:"bytes,3,opt,name=small,proto3" json:"small,omitempty"`
	Medium         string `protobuf:"bytes,4,opt,name=medium,proto3" json:"medium,omitempty"`
	Large          string `protobuf:"bytes,5,opt,name=large,proto3" json:"large,omitempty"`
	ExtraLarge     string `protobuf:"bytes,6,opt,name=extraLarge,proto3" json:"extraLarge,omitempty"`
}

func (x *Response_Record_VolumeInfo_ImageLinks) Reset() {
	*x = Response_Record_VolumeInfo_ImageLinks{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_googlebook_book_api_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Response_Record_VolumeInfo_ImageLinks) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Response_Record_VolumeInfo_ImageLinks) ProtoMessage() {}

func (x *Response_Record_VolumeInfo_ImageLinks) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_googlebook_book_api_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Response_Record_VolumeInfo_ImageLinks.ProtoReflect.Descriptor instead.
func (*Response_Record_VolumeInfo_ImageLinks) Descriptor() ([]byte, []int) {
	return file_pkg_googlebook_book_api_proto_rawDescGZIP(), []int{1, 0, 0, 3}
}

func (x *Response_Record_VolumeInfo_ImageLinks) GetSmallThumbnail() string {
	if x != nil {
		return x.SmallThumbnail
	}
	return ""
}

func (x *Response_Record_VolumeInfo_ImageLinks) GetThumbnail() string {
	if x != nil {
		return x.Thumbnail
	}
	return ""
}

func (x *Response_Record_VolumeInfo_ImageLinks) GetSmall() string {
	if x != nil {
		return x.Small
	}
	return ""
}

func (x *Response_Record_VolumeInfo_ImageLinks) GetMedium() string {
	if x != nil {
		return x.Medium
	}
	return ""
}

func (x *Response_Record_VolumeInfo_ImageLinks) GetLarge() string {
	if x != nil {
		return x.Large
	}
	return ""
}

func (x *Response_Record_VolumeInfo_ImageLinks) GetExtraLarge() string {
	if x != nil {
		return x.ExtraLarge
	}
	return ""
}

type Response_Record_SaleInfo_ListPrice struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Amount         float32 `protobuf:"fixed32,1,opt,name=amount,proto3" json:"amount,omitempty"`
	AmountInMicros int64   `protobuf:"varint,2,opt,name=amountInMicros,proto3" json:"amountInMicros,omitempty"`
	CurrencyCode   string  `protobuf:"bytes,3,opt,name=currencyCode,proto3" json:"currencyCode,omitempty"`
}

func (x *Response_Record_SaleInfo_ListPrice) Reset() {
	*x = Response_Record_SaleInfo_ListPrice{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_googlebook_book_api_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Response_Record_SaleInfo_ListPrice) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Response_Record_SaleInfo_ListPrice) ProtoMessage() {}

func (x *Response_Record_SaleInfo_ListPrice) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_googlebook_book_api_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Response_Record_SaleInfo_ListPrice.ProtoReflect.Descriptor instead.
func (*Response_Record_SaleInfo_ListPrice) Descriptor() ([]byte, []int) {
	return file_pkg_googlebook_book_api_proto_rawDescGZIP(), []int{1, 0, 1, 0}
}

func (x *Response_Record_SaleInfo_ListPrice) GetAmount() float32 {
	if x != nil {
		return x.Amount
	}
	return 0
}

func (x *Response_Record_SaleInfo_ListPrice) GetAmountInMicros() int64 {
	if x != nil {
		return x.AmountInMicros
	}
	return 0
}

func (x *Response_Record_SaleInfo_ListPrice) GetCurrencyCode() string {
	if x != nil {
		return x.CurrencyCode
	}
	return ""
}

type Response_Record_SaleInfo_RetailPrice struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Amount         float32 `protobuf:"fixed32,1,opt,name=amount,proto3" json:"amount,omitempty"`
	AmountInMicros int64   `protobuf:"varint,2,opt,name=amountInMicros,proto3" json:"amountInMicros,omitempty"`
	CurrencyCode   string  `protobuf:"bytes,3,opt,name=currencyCode,proto3" json:"currencyCode,omitempty"`
}

func (x *Response_Record_SaleInfo_RetailPrice) Reset() {
	*x = Response_Record_SaleInfo_RetailPrice{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_googlebook_book_api_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Response_Record_SaleInfo_RetailPrice) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Response_Record_SaleInfo_RetailPrice) ProtoMessage() {}

func (x *Response_Record_SaleInfo_RetailPrice) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_googlebook_book_api_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Response_Record_SaleInfo_RetailPrice.ProtoReflect.Descriptor instead.
func (*Response_Record_SaleInfo_RetailPrice) Descriptor() ([]byte, []int) {
	return file_pkg_googlebook_book_api_proto_rawDescGZIP(), []int{1, 0, 1, 1}
}

func (x *Response_Record_SaleInfo_RetailPrice) GetAmount() float32 {
	if x != nil {
		return x.Amount
	}
	return 0
}

func (x *Response_Record_SaleInfo_RetailPrice) GetAmountInMicros() int64 {
	if x != nil {
		return x.AmountInMicros
	}
	return 0
}

func (x *Response_Record_SaleInfo_RetailPrice) GetCurrencyCode() string {
	if x != nil {
		return x.CurrencyCode
	}
	return ""
}

type Response_Record_SaleInfo_Offer struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	FinskyOfferType int32                                 `protobuf:"varint,1,opt,name=finskyOfferType,proto3" json:"finskyOfferType,omitempty"`
	ListPrice       *Response_Record_SaleInfo_ListPrice   `protobuf:"bytes,2,opt,name=listPrice,proto3" json:"listPrice,omitempty"`
	RetailPrice     *Response_Record_SaleInfo_RetailPrice `protobuf:"bytes,3,opt,name=retailPrice,proto3" json:"retailPrice,omitempty"`
}

func (x *Response_Record_SaleInfo_Offer) Reset() {
	*x = Response_Record_SaleInfo_Offer{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_googlebook_book_api_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Response_Record_SaleInfo_Offer) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Response_Record_SaleInfo_Offer) ProtoMessage() {}

func (x *Response_Record_SaleInfo_Offer) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_googlebook_book_api_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Response_Record_SaleInfo_Offer.ProtoReflect.Descriptor instead.
func (*Response_Record_SaleInfo_Offer) Descriptor() ([]byte, []int) {
	return file_pkg_googlebook_book_api_proto_rawDescGZIP(), []int{1, 0, 1, 2}
}

func (x *Response_Record_SaleInfo_Offer) GetFinskyOfferType() int32 {
	if x != nil {
		return x.FinskyOfferType
	}
	return 0
}

func (x *Response_Record_SaleInfo_Offer) GetListPrice() *Response_Record_SaleInfo_ListPrice {
	if x != nil {
		return x.ListPrice
	}
	return nil
}

func (x *Response_Record_SaleInfo_Offer) GetRetailPrice() *Response_Record_SaleInfo_RetailPrice {
	if x != nil {
		return x.RetailPrice
	}
	return nil
}

type Response_Record_AccessInfo_Epub struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	IsAvailable  bool   `protobuf:"varint,1,opt,name=isAvailable,proto3" json:"isAvailable,omitempty"`
	AcsTokenLink string `protobuf:"bytes,2,opt,name=acsTokenLink,proto3" json:"acsTokenLink,omitempty"`
	DownloadLink string `protobuf:"bytes,3,opt,name=downloadLink,proto3" json:"downloadLink,omitempty"`
}

func (x *Response_Record_AccessInfo_Epub) Reset() {
	*x = Response_Record_AccessInfo_Epub{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_googlebook_book_api_proto_msgTypes[14]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Response_Record_AccessInfo_Epub) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Response_Record_AccessInfo_Epub) ProtoMessage() {}

func (x *Response_Record_AccessInfo_Epub) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_googlebook_book_api_proto_msgTypes[14]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Response_Record_AccessInfo_Epub.ProtoReflect.Descriptor instead.
func (*Response_Record_AccessInfo_Epub) Descriptor() ([]byte, []int) {
	return file_pkg_googlebook_book_api_proto_rawDescGZIP(), []int{1, 0, 2, 0}
}

func (x *Response_Record_AccessInfo_Epub) GetIsAvailable() bool {
	if x != nil {
		return x.IsAvailable
	}
	return false
}

func (x *Response_Record_AccessInfo_Epub) GetAcsTokenLink() string {
	if x != nil {
		return x.AcsTokenLink
	}
	return ""
}

func (x *Response_Record_AccessInfo_Epub) GetDownloadLink() string {
	if x != nil {
		return x.DownloadLink
	}
	return ""
}

type Response_Record_AccessInfo_Pdf struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	IsAvailable  bool   `protobuf:"varint,1,opt,name=isAvailable,proto3" json:"isAvailable,omitempty"`
	AcsTokenLink string `protobuf:"bytes,2,opt,name=acsTokenLink,proto3" json:"acsTokenLink,omitempty"`
	DownloadLink string `protobuf:"bytes,3,opt,name=downloadLink,proto3" json:"downloadLink,omitempty"`
}

func (x *Response_Record_AccessInfo_Pdf) Reset() {
	*x = Response_Record_AccessInfo_Pdf{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_googlebook_book_api_proto_msgTypes[15]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Response_Record_AccessInfo_Pdf) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Response_Record_AccessInfo_Pdf) ProtoMessage() {}

func (x *Response_Record_AccessInfo_Pdf) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_googlebook_book_api_proto_msgTypes[15]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Response_Record_AccessInfo_Pdf.ProtoReflect.Descriptor instead.
func (*Response_Record_AccessInfo_Pdf) Descriptor() ([]byte, []int) {
	return file_pkg_googlebook_book_api_proto_rawDescGZIP(), []int{1, 0, 2, 1}
}

func (x *Response_Record_AccessInfo_Pdf) GetIsAvailable() bool {
	if x != nil {
		return x.IsAvailable
	}
	return false
}

func (x *Response_Record_AccessInfo_Pdf) GetAcsTokenLink() string {
	if x != nil {
		return x.AcsTokenLink
	}
	return ""
}

func (x *Response_Record_AccessInfo_Pdf) GetDownloadLink() string {
	if x != nil {
		return x.DownloadLink
	}
	return ""
}

var File_pkg_googlebook_book_api_proto protoreflect.FileDescriptor

var file_pkg_googlebook_book_api_proto_rawDesc = []byte{
	0x0a, 0x1d, 0x70, 0x6b, 0x67, 0x2f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x62, 0x6f, 0x6f, 0x6b,
	0x2f, 0x62, 0x6f, 0x6f, 0x6b, 0x5f, 0x61, 0x70, 0x69, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12,
	0x0a, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x62, 0x6f, 0x6f, 0x6b, 0x1a, 0x18, 0x70, 0x6b, 0x67,
	0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x72, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x62, 0x0a, 0x03, 0x41, 0x70, 0x69, 0x12, 0x29, 0x0a, 0x07,
	0x72, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0f, 0x2e,
	0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x52, 0x07,
	0x72, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x30, 0x0a, 0x08, 0x72, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x14, 0x2e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x62, 0x6f, 0x6f, 0x6b, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x52,
	0x08, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0xb2, 0x1b, 0x0a, 0x08, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x6b, 0x69, 0x6e, 0x64, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6b, 0x69, 0x6e, 0x64, 0x12, 0x1e, 0x0a, 0x0a, 0x74, 0x6f,
	0x74, 0x61, 0x6c, 0x49, 0x74, 0x65, 0x6d, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0a,
	0x74, 0x6f, 0x74, 0x61, 0x6c, 0x49, 0x74, 0x65, 0x6d, 0x73, 0x12, 0x31, 0x0a, 0x05, 0x69, 0x74,
	0x65, 0x6d, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x62, 0x6f, 0x6f, 0x6b, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2e,
	0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x52, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x1a, 0xbe, 0x1a,
	0x0a, 0x06, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6b, 0x69, 0x6e, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6b, 0x69, 0x6e, 0x64, 0x12, 0x0e, 0x0a, 0x02,
	0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04,
	0x65, 0x74, 0x61, 0x67, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x65, 0x74, 0x61, 0x67,
	0x12, 0x1a, 0x0a, 0x08, 0x73, 0x65, 0x6c, 0x66, 0x4c, 0x69, 0x6e, 0x6b, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x08, 0x73, 0x65, 0x6c, 0x66, 0x4c, 0x69, 0x6e, 0x6b, 0x12, 0x46, 0x0a, 0x0a,
	0x76, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x26, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x62, 0x6f, 0x6f, 0x6b, 0x2e, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2e, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x2e, 0x56, 0x6f,
	0x6c, 0x75, 0x6d, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x0a, 0x76, 0x6f, 0x6c, 0x75, 0x6d, 0x65,
	0x49, 0x6e, 0x66, 0x6f, 0x12, 0x40, 0x0a, 0x08, 0x73, 0x61, 0x6c, 0x65, 0x49, 0x6e, 0x66, 0x6f,
	0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x24, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x62,
	0x6f, 0x6f, 0x6b, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2e, 0x52, 0x65, 0x63,
	0x6f, 0x72, 0x64, 0x2e, 0x53, 0x61, 0x6c, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x08, 0x73, 0x61,
	0x6c, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x46, 0x0a, 0x0a, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73,
	0x49, 0x6e, 0x66, 0x6f, 0x18, 0x07, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x62, 0x6f, 0x6f, 0x6b, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x2e, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x2e, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x49, 0x6e,
	0x66, 0x6f, 0x52, 0x0a, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x46,
	0x0a, 0x0a, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x49, 0x6e, 0x66, 0x6f, 0x18, 0x08, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x26, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x62, 0x6f, 0x6f, 0x6b, 0x2e,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2e, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x2e,
	0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x0a, 0x73, 0x65, 0x61, 0x72,
	0x63, 0x68, 0x49, 0x6e, 0x66, 0x6f, 0x1a, 0xcb, 0x0b, 0x0a, 0x0a, 0x56, 0x6f, 0x6c, 0x75, 0x6d,
	0x65, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x14, 0x0a, 0x05, 0x74, 0x69, 0x74, 0x6c, 0x65, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x74, 0x69, 0x74, 0x6c, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x73,
	0x75, 0x62, 0x74, 0x69, 0x74, 0x6c, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x73,
	0x75, 0x62, 0x74, 0x69, 0x74, 0x6c, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x61, 0x75, 0x74, 0x68, 0x6f,
	0x72, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x09, 0x52, 0x07, 0x61, 0x75, 0x74, 0x68, 0x6f, 0x72,
	0x73, 0x12, 0x1c, 0x0a, 0x09, 0x70, 0x75, 0x62, 0x6c, 0x69, 0x73, 0x68, 0x65, 0x72, 0x18, 0x04,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x70, 0x75, 0x62, 0x6c, 0x69, 0x73, 0x68, 0x65, 0x72, 0x12,
	0x24, 0x0a, 0x0d, 0x70, 0x75, 0x62, 0x6c, 0x69, 0x73, 0x68, 0x65, 0x64, 0x44, 0x61, 0x74, 0x65,
	0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x70, 0x75, 0x62, 0x6c, 0x69, 0x73, 0x68, 0x65,
	0x64, 0x44, 0x61, 0x74, 0x65, 0x12, 0x20, 0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70,
	0x74, 0x69, 0x6f, 0x6e, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x64, 0x65, 0x73, 0x63,
	0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x6b, 0x0a, 0x13, 0x69, 0x6e, 0x64, 0x75, 0x73,
	0x74, 0x72, 0x79, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x73, 0x18, 0x07,
	0x20, 0x03, 0x28, 0x0b, 0x32, 0x39, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x62, 0x6f, 0x6f,
	0x6b, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2e, 0x52, 0x65, 0x63, 0x6f, 0x72,
	0x64, 0x2e, 0x56, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x2e, 0x49, 0x6e, 0x64,
	0x75, 0x73, 0x74, 0x72, 0x79, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x52,
	0x13, 0x69, 0x6e, 0x64, 0x75, 0x73, 0x74, 0x72, 0x79, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66,
	0x69, 0x65, 0x72, 0x73, 0x12, 0x56, 0x0a, 0x0c, 0x72, 0x65, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x4d,
	0x6f, 0x64, 0x65, 0x73, 0x18, 0x08, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x32, 0x2e, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x62, 0x6f, 0x6f, 0x6b, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x2e, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x2e, 0x56, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x49, 0x6e,
	0x66, 0x6f, 0x2e, 0x52, 0x65, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x4d, 0x6f, 0x64, 0x65, 0x52, 0x0c,
	0x72, 0x65, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x4d, 0x6f, 0x64, 0x65, 0x73, 0x12, 0x1c, 0x0a, 0x09,
	0x70, 0x61, 0x67, 0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x09, 0x20, 0x01, 0x28, 0x05, 0x52,
	0x09, 0x70, 0x61, 0x67, 0x65, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x1c, 0x0a, 0x09, 0x70, 0x72,
	0x69, 0x6e, 0x74, 0x54, 0x79, 0x70, 0x65, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x70,
	0x72, 0x69, 0x6e, 0x74, 0x54, 0x79, 0x70, 0x65, 0x12, 0x1e, 0x0a, 0x0a, 0x63, 0x61, 0x74, 0x65,
	0x67, 0x6f, 0x72, 0x69, 0x65, 0x73, 0x18, 0x0b, 0x20, 0x03, 0x28, 0x09, 0x52, 0x0a, 0x63, 0x61,
	0x74, 0x65, 0x67, 0x6f, 0x72, 0x69, 0x65, 0x73, 0x12, 0x24, 0x0a, 0x0d, 0x61, 0x76, 0x65, 0x72,
	0x61, 0x67, 0x65, 0x52, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x18, 0x0c, 0x20, 0x01, 0x28, 0x02, 0x52,
	0x0d, 0x61, 0x76, 0x65, 0x72, 0x61, 0x67, 0x65, 0x52, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x12, 0x22,
	0x0a, 0x0c, 0x72, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x73, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x0d,
	0x20, 0x01, 0x28, 0x05, 0x52, 0x0c, 0x72, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x73, 0x43, 0x6f, 0x75,
	0x6e, 0x74, 0x12, 0x26, 0x0a, 0x0e, 0x6d, 0x61, 0x74, 0x75, 0x72, 0x69, 0x74, 0x79, 0x52, 0x61,
	0x74, 0x69, 0x6e, 0x67, 0x18, 0x0e, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e, 0x6d, 0x61, 0x74, 0x75,
	0x72, 0x69, 0x74, 0x79, 0x52, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x12, 0x2a, 0x0a, 0x10, 0x61, 0x6c,
	0x6c, 0x6f, 0x77, 0x41, 0x6e, 0x6f, 0x6e, 0x4c, 0x6f, 0x67, 0x67, 0x69, 0x6e, 0x67, 0x18, 0x0f,
	0x20, 0x01, 0x28, 0x08, 0x52, 0x10, 0x61, 0x6c, 0x6c, 0x6f, 0x77, 0x41, 0x6e, 0x6f, 0x6e, 0x4c,
	0x6f, 0x67, 0x67, 0x69, 0x6e, 0x67, 0x12, 0x26, 0x0a, 0x0e, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x6e,
	0x74, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x10, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e,
	0x63, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x6c,
	0x0a, 0x13, 0x70, 0x61, 0x6e, 0x65, 0x6c, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x75,
	0x6d, 0x6d, 0x61, 0x72, 0x79, 0x18, 0x11, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x3a, 0x2e, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x62, 0x6f, 0x6f, 0x6b, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x2e, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x2e, 0x56, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x49,
	0x6e, 0x66, 0x6f, 0x2e, 0x50, 0x61, 0x6e, 0x65, 0x6c, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x53, 0x75, 0x6d, 0x6d, 0x61, 0x72, 0x79, 0x52, 0x13, 0x70, 0x61, 0x6e, 0x65, 0x6c, 0x69, 0x7a,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x75, 0x6d, 0x6d, 0x61, 0x72, 0x79, 0x12, 0x51, 0x0a, 0x0a,
	0x69, 0x6d, 0x61, 0x67, 0x65, 0x4c, 0x69, 0x6e, 0x6b, 0x73, 0x18, 0x12, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x31, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x62, 0x6f, 0x6f, 0x6b, 0x2e, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2e, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x2e, 0x56, 0x6f,
	0x6c, 0x75, 0x6d, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x2e, 0x49, 0x6d, 0x61, 0x67, 0x65, 0x4c, 0x69,
	0x6e, 0x6b, 0x73, 0x52, 0x0a, 0x69, 0x6d, 0x61, 0x67, 0x65, 0x4c, 0x69, 0x6e, 0x6b, 0x73, 0x12,
	0x1a, 0x0a, 0x08, 0x6c, 0x61, 0x6e, 0x67, 0x75, 0x61, 0x67, 0x65, 0x18, 0x13, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x08, 0x6c, 0x61, 0x6e, 0x67, 0x75, 0x61, 0x67, 0x65, 0x12, 0x20, 0x0a, 0x0b, 0x70,
	0x72, 0x65, 0x76, 0x69, 0x65, 0x77, 0x4c, 0x69, 0x6e, 0x6b, 0x18, 0x14, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0b, 0x70, 0x72, 0x65, 0x76, 0x69, 0x65, 0x77, 0x4c, 0x69, 0x6e, 0x6b, 0x12, 0x1a, 0x0a,
	0x08, 0x69, 0x6e, 0x66, 0x6f, 0x4c, 0x69, 0x6e, 0x6b, 0x18, 0x15, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x08, 0x69, 0x6e, 0x66, 0x6f, 0x4c, 0x69, 0x6e, 0x6b, 0x12, 0x30, 0x0a, 0x13, 0x63, 0x61, 0x6e,
	0x6f, 0x6e, 0x69, 0x63, 0x61, 0x6c, 0x56, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x4c, 0x69, 0x6e, 0x6b,
	0x18, 0x16, 0x20, 0x01, 0x28, 0x09, 0x52, 0x13, 0x63, 0x61, 0x6e, 0x6f, 0x6e, 0x69, 0x63, 0x61,
	0x6c, 0x56, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x4c, 0x69, 0x6e, 0x6b, 0x1a, 0x48, 0x0a, 0x12, 0x49,
	0x6e, 0x64, 0x75, 0x73, 0x74, 0x72, 0x79, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65,
	0x72, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x1e, 0x0a, 0x0a, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66,
	0x69, 0x65, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x69, 0x64, 0x65, 0x6e, 0x74,
	0x69, 0x66, 0x69, 0x65, 0x72, 0x1a, 0x57, 0x0a, 0x0b, 0x52, 0x65, 0x61, 0x64, 0x69, 0x6e, 0x67,
	0x4d, 0x6f, 0x64, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x65, 0x78, 0x74, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x08, 0x52, 0x04, 0x74, 0x65, 0x78, 0x74, 0x12, 0x1e, 0x0a, 0x0a, 0x69, 0x64, 0x65, 0x6e,
	0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0a, 0x69, 0x64,
	0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x12, 0x14, 0x0a, 0x05, 0x69, 0x6d, 0x61, 0x67,
	0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08, 0x52, 0x05, 0x69, 0x6d, 0x61, 0x67, 0x65, 0x1a, 0x7b,
	0x0a, 0x13, 0x50, 0x61, 0x6e, 0x65, 0x6c, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x75,
	0x6d, 0x6d, 0x61, 0x72, 0x79, 0x12, 0x30, 0x0a, 0x13, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e,
	0x73, 0x45, 0x70, 0x75, 0x62, 0x42, 0x75, 0x62, 0x62, 0x6c, 0x65, 0x73, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x08, 0x52, 0x13, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x73, 0x45, 0x70, 0x75, 0x62,
	0x42, 0x75, 0x62, 0x62, 0x6c, 0x65, 0x73, 0x12, 0x32, 0x0a, 0x14, 0x63, 0x6f, 0x6e, 0x74, 0x61,
	0x69, 0x6e, 0x73, 0x49, 0x6d, 0x61, 0x67, 0x65, 0x42, 0x75, 0x62, 0x62, 0x6c, 0x65, 0x73, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x08, 0x52, 0x14, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x73, 0x49,
	0x6d, 0x61, 0x67, 0x65, 0x42, 0x75, 0x62, 0x62, 0x6c, 0x65, 0x73, 0x1a, 0xb6, 0x01, 0x0a, 0x0a,
	0x49, 0x6d, 0x61, 0x67, 0x65, 0x4c, 0x69, 0x6e, 0x6b, 0x73, 0x12, 0x26, 0x0a, 0x0e, 0x73, 0x6d,
	0x61, 0x6c, 0x6c, 0x54, 0x68, 0x75, 0x6d, 0x62, 0x6e, 0x61, 0x69, 0x6c, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x0e, 0x73, 0x6d, 0x61, 0x6c, 0x6c, 0x54, 0x68, 0x75, 0x6d, 0x62, 0x6e, 0x61,
	0x69, 0x6c, 0x12, 0x1c, 0x0a, 0x09, 0x74, 0x68, 0x75, 0x6d, 0x62, 0x6e, 0x61, 0x69, 0x6c, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x74, 0x68, 0x75, 0x6d, 0x62, 0x6e, 0x61, 0x69, 0x6c,
	0x12, 0x14, 0x0a, 0x05, 0x73, 0x6d, 0x61, 0x6c, 0x6c, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x05, 0x73, 0x6d, 0x61, 0x6c, 0x6c, 0x12, 0x16, 0x0a, 0x06, 0x6d, 0x65, 0x64, 0x69, 0x75, 0x6d,
	0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x6d, 0x65, 0x64, 0x69, 0x75, 0x6d, 0x12, 0x14,
	0x0a, 0x05, 0x6c, 0x61, 0x72, 0x67, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x6c,
	0x61, 0x72, 0x67, 0x65, 0x12, 0x1e, 0x0a, 0x0a, 0x65, 0x78, 0x74, 0x72, 0x61, 0x4c, 0x61, 0x72,
	0x67, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x65, 0x78, 0x74, 0x72, 0x61, 0x4c,
	0x61, 0x72, 0x67, 0x65, 0x1a, 0x9a, 0x06, 0x0a, 0x08, 0x53, 0x61, 0x6c, 0x65, 0x49, 0x6e, 0x66,
	0x6f, 0x12, 0x18, 0x0a, 0x07, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x72, 0x79, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x07, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x20, 0x0a, 0x0b, 0x73,
	0x61, 0x6c, 0x65, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0b, 0x73, 0x61, 0x6c, 0x65, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x12, 0x18, 0x0a,
	0x07, 0x69, 0x73, 0x45, 0x62, 0x6f, 0x6f, 0x6b, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08, 0x52, 0x07,
	0x69, 0x73, 0x45, 0x62, 0x6f, 0x6f, 0x6b, 0x12, 0x4c, 0x0a, 0x09, 0x6c, 0x69, 0x73, 0x74, 0x50,
	0x72, 0x69, 0x63, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2e, 0x2e, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x62, 0x6f, 0x6f, 0x6b, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x2e, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x2e, 0x53, 0x61, 0x6c, 0x65, 0x49, 0x6e, 0x66, 0x6f,
	0x2e, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63, 0x65, 0x52, 0x09, 0x6c, 0x69, 0x73, 0x74,
	0x50, 0x72, 0x69, 0x63, 0x65, 0x12, 0x52, 0x0a, 0x0b, 0x72, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x50,
	0x72, 0x69, 0x63, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x30, 0x2e, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x62, 0x6f, 0x6f, 0x6b, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x2e, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x2e, 0x53, 0x61, 0x6c, 0x65, 0x49, 0x6e, 0x66, 0x6f,
	0x2e, 0x52, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x50, 0x72, 0x69, 0x63, 0x65, 0x52, 0x0b, 0x72, 0x65,
	0x74, 0x61, 0x69, 0x6c, 0x50, 0x72, 0x69, 0x63, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x62, 0x75, 0x79,
	0x4c, 0x69, 0x6e, 0x6b, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x62, 0x75, 0x79, 0x4c,
	0x69, 0x6e, 0x6b, 0x12, 0x42, 0x0a, 0x06, 0x6f, 0x66, 0x66, 0x65, 0x72, 0x73, 0x18, 0x07, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x2a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x62, 0x6f, 0x6f, 0x6b,
	0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2e, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64,
	0x2e, 0x53, 0x61, 0x6c, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x2e, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52,
	0x06, 0x6f, 0x66, 0x66, 0x65, 0x72, 0x73, 0x1a, 0x6f, 0x0a, 0x09, 0x4c, 0x69, 0x73, 0x74, 0x50,
	0x72, 0x69, 0x63, 0x65, 0x12, 0x16, 0x0a, 0x06, 0x61, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x02, 0x52, 0x06, 0x61, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x26, 0x0a, 0x0e,
	0x61, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x49, 0x6e, 0x4d, 0x69, 0x63, 0x72, 0x6f, 0x73, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x03, 0x52, 0x0e, 0x61, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x49, 0x6e, 0x4d, 0x69,
	0x63, 0x72, 0x6f, 0x73, 0x12, 0x22, 0x0a, 0x0c, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x63, 0x79,
	0x43, 0x6f, 0x64, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x63, 0x75, 0x72, 0x72,
	0x65, 0x6e, 0x63, 0x79, 0x43, 0x6f, 0x64, 0x65, 0x1a, 0x71, 0x0a, 0x0b, 0x52, 0x65, 0x74, 0x61,
	0x69, 0x6c, 0x50, 0x72, 0x69, 0x63, 0x65, 0x12, 0x16, 0x0a, 0x06, 0x61, 0x6d, 0x6f, 0x75, 0x6e,
	0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x02, 0x52, 0x06, 0x61, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x12,
	0x26, 0x0a, 0x0e, 0x61, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x49, 0x6e, 0x4d, 0x69, 0x63, 0x72, 0x6f,
	0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0e, 0x61, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x49,
	0x6e, 0x4d, 0x69, 0x63, 0x72, 0x6f, 0x73, 0x12, 0x22, 0x0a, 0x0c, 0x63, 0x75, 0x72, 0x72, 0x65,
	0x6e, 0x63, 0x79, 0x43, 0x6f, 0x64, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x63,
	0x75, 0x72, 0x72, 0x65, 0x6e, 0x63, 0x79, 0x43, 0x6f, 0x64, 0x65, 0x1a, 0xd3, 0x01, 0x0a, 0x05,
	0x4f, 0x66, 0x66, 0x65, 0x72, 0x12, 0x28, 0x0a, 0x0f, 0x66, 0x69, 0x6e, 0x73, 0x6b, 0x79, 0x4f,
	0x66, 0x66, 0x65, 0x72, 0x54, 0x79, 0x70, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0f,
	0x66, 0x69, 0x6e, 0x73, 0x6b, 0x79, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x54, 0x79, 0x70, 0x65, 0x12,
	0x4c, 0x0a, 0x09, 0x6c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63, 0x65, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x2e, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x62, 0x6f, 0x6f, 0x6b, 0x2e,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2e, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x2e,
	0x53, 0x61, 0x6c, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x69,
	0x63, 0x65, 0x52, 0x09, 0x6c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x69, 0x63, 0x65, 0x12, 0x52, 0x0a,
	0x0b, 0x72, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x50, 0x72, 0x69, 0x63, 0x65, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x30, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x62, 0x6f, 0x6f, 0x6b, 0x2e,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2e, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x2e,
	0x53, 0x61, 0x6c, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x2e, 0x52, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x50,
	0x72, 0x69, 0x63, 0x65, 0x52, 0x0b, 0x72, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x50, 0x72, 0x69, 0x63,
	0x65, 0x1a, 0xaa, 0x05, 0x0a, 0x0a, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x49, 0x6e, 0x66, 0x6f,
	0x12, 0x18, 0x0a, 0x07, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x72, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x07, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x20, 0x0a, 0x0b, 0x76, 0x69,
	0x65, 0x77, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x0b, 0x76, 0x69, 0x65, 0x77, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x12, 0x1e, 0x0a, 0x0a,
	0x65, 0x6d, 0x62, 0x65, 0x64, 0x64, 0x61, 0x62, 0x6c, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08,
	0x52, 0x0a, 0x65, 0x6d, 0x62, 0x65, 0x64, 0x64, 0x61, 0x62, 0x6c, 0x65, 0x12, 0x22, 0x0a, 0x0c,
	0x70, 0x75, 0x62, 0x6c, 0x69, 0x63, 0x44, 0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x08, 0x52, 0x0c, 0x70, 0x75, 0x62, 0x6c, 0x69, 0x63, 0x44, 0x6f, 0x6d, 0x61, 0x69, 0x6e,
	0x12, 0x36, 0x0a, 0x16, 0x74, 0x65, 0x78, 0x74, 0x54, 0x6f, 0x53, 0x70, 0x65, 0x65, 0x63, 0x68,
	0x50, 0x65, 0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x16, 0x74, 0x65, 0x78, 0x74, 0x54, 0x6f, 0x53, 0x70, 0x65, 0x65, 0x63, 0x68, 0x50, 0x65,
	0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x3f, 0x0a, 0x04, 0x65, 0x70, 0x75, 0x62,
	0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2b, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x62,
	0x6f, 0x6f, 0x6b, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2e, 0x52, 0x65, 0x63,
	0x6f, 0x72, 0x64, 0x2e, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x49, 0x6e, 0x66, 0x6f, 0x2e, 0x45,
	0x70, 0x75, 0x62, 0x52, 0x04, 0x65, 0x70, 0x75, 0x62, 0x12, 0x3c, 0x0a, 0x03, 0x70, 0x64, 0x66,
	0x18, 0x07, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x62,
	0x6f, 0x6f, 0x6b, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2e, 0x52, 0x65, 0x63,
	0x6f, 0x72, 0x64, 0x2e, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x49, 0x6e, 0x66, 0x6f, 0x2e, 0x50,
	0x64, 0x66, 0x52, 0x03, 0x70, 0x64, 0x66, 0x12, 0x24, 0x0a, 0x0d, 0x77, 0x65, 0x62, 0x52, 0x65,
	0x61, 0x64, 0x65, 0x72, 0x4c, 0x69, 0x6e, 0x6b, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d,
	0x77, 0x65, 0x62, 0x52, 0x65, 0x61, 0x64, 0x65, 0x72, 0x4c, 0x69, 0x6e, 0x6b, 0x12, 0x2a, 0x0a,
	0x10, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x56, 0x69, 0x65, 0x77, 0x53, 0x74, 0x61, 0x74, 0x75,
	0x73, 0x18, 0x09, 0x20, 0x01, 0x28, 0x09, 0x52, 0x10, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x56,
	0x69, 0x65, 0x77, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x30, 0x0a, 0x13, 0x71, 0x75, 0x6f,
	0x74, 0x65, 0x53, 0x68, 0x61, 0x72, 0x69, 0x6e, 0x67, 0x41, 0x6c, 0x6c, 0x6f, 0x77, 0x65, 0x64,
	0x18, 0x0a, 0x20, 0x01, 0x28, 0x08, 0x52, 0x13, 0x71, 0x75, 0x6f, 0x74, 0x65, 0x53, 0x68, 0x61,
	0x72, 0x69, 0x6e, 0x67, 0x41, 0x6c, 0x6c, 0x6f, 0x77, 0x65, 0x64, 0x1a, 0x70, 0x0a, 0x04, 0x45,
	0x70, 0x75, 0x62, 0x12, 0x20, 0x0a, 0x0b, 0x69, 0x73, 0x41, 0x76, 0x61, 0x69, 0x6c, 0x61, 0x62,
	0x6c, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0b, 0x69, 0x73, 0x41, 0x76, 0x61, 0x69,
	0x6c, 0x61, 0x62, 0x6c, 0x65, 0x12, 0x22, 0x0a, 0x0c, 0x61, 0x63, 0x73, 0x54, 0x6f, 0x6b, 0x65,
	0x6e, 0x4c, 0x69, 0x6e, 0x6b, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x61, 0x63, 0x73,
	0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x4c, 0x69, 0x6e, 0x6b, 0x12, 0x22, 0x0a, 0x0c, 0x64, 0x6f, 0x77,
	0x6e, 0x6c, 0x6f, 0x61, 0x64, 0x4c, 0x69, 0x6e, 0x6b, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x0c, 0x64, 0x6f, 0x77, 0x6e, 0x6c, 0x6f, 0x61, 0x64, 0x4c, 0x69, 0x6e, 0x6b, 0x1a, 0x6f, 0x0a,
	0x03, 0x50, 0x64, 0x66, 0x12, 0x20, 0x0a, 0x0b, 0x69, 0x73, 0x41, 0x76, 0x61, 0x69, 0x6c, 0x61,
	0x62, 0x6c, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0b, 0x69, 0x73, 0x41, 0x76, 0x61,
	0x69, 0x6c, 0x61, 0x62, 0x6c, 0x65, 0x12, 0x22, 0x0a, 0x0c, 0x61, 0x63, 0x73, 0x54, 0x6f, 0x6b,
	0x65, 0x6e, 0x4c, 0x69, 0x6e, 0x6b, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x61, 0x63,
	0x73, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x4c, 0x69, 0x6e, 0x6b, 0x12, 0x22, 0x0a, 0x0c, 0x64, 0x6f,
	0x77, 0x6e, 0x6c, 0x6f, 0x61, 0x64, 0x4c, 0x69, 0x6e, 0x6b, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0c, 0x64, 0x6f, 0x77, 0x6e, 0x6c, 0x6f, 0x61, 0x64, 0x4c, 0x69, 0x6e, 0x6b, 0x1a, 0x2e,
	0x0a, 0x0a, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x20, 0x0a, 0x0b,
	0x74, 0x65, 0x78, 0x74, 0x53, 0x6e, 0x69, 0x70, 0x70, 0x65, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x0b, 0x74, 0x65, 0x78, 0x74, 0x53, 0x6e, 0x69, 0x70, 0x70, 0x65, 0x74, 0x42, 0x35,
	0x5a, 0x33, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x6c, 0x65, 0x6d,
	0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x69, 0x7a, 0x6f, 0x6f, 0x6e, 0x65, 0x2f, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x70, 0x6b, 0x67, 0x2f, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x62, 0x6f, 0x6f, 0x6b, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_pkg_googlebook_book_api_proto_rawDescOnce sync.Once
	file_pkg_googlebook_book_api_proto_rawDescData = file_pkg_googlebook_book_api_proto_rawDesc
)

func file_pkg_googlebook_book_api_proto_rawDescGZIP() []byte {
	file_pkg_googlebook_book_api_proto_rawDescOnce.Do(func() {
		file_pkg_googlebook_book_api_proto_rawDescData = protoimpl.X.CompressGZIP(file_pkg_googlebook_book_api_proto_rawDescData)
	})
	return file_pkg_googlebook_book_api_proto_rawDescData
}

var file_pkg_googlebook_book_api_proto_msgTypes = make([]protoimpl.MessageInfo, 16)
var file_pkg_googlebook_book_api_proto_goTypes = []interface{}{
	(*Api)(nil),                                            // 0: googlebook.Api
	(*Response)(nil),                                       // 1: googlebook.Response
	(*Response_Record)(nil),                                // 2: googlebook.Response.Record
	(*Response_Record_VolumeInfo)(nil),                     // 3: googlebook.Response.Record.VolumeInfo
	(*Response_Record_SaleInfo)(nil),                       // 4: googlebook.Response.Record.SaleInfo
	(*Response_Record_AccessInfo)(nil),                     // 5: googlebook.Response.Record.AccessInfo
	(*Response_Record_SearchInfo)(nil),                     // 6: googlebook.Response.Record.SearchInfo
	(*Response_Record_VolumeInfo_IndustryIdentifier)(nil),  // 7: googlebook.Response.Record.VolumeInfo.IndustryIdentifier
	(*Response_Record_VolumeInfo_ReadingMode)(nil),         // 8: googlebook.Response.Record.VolumeInfo.ReadingMode
	(*Response_Record_VolumeInfo_PanelizationSummary)(nil), // 9: googlebook.Response.Record.VolumeInfo.PanelizationSummary
	(*Response_Record_VolumeInfo_ImageLinks)(nil),          // 10: googlebook.Response.Record.VolumeInfo.ImageLinks
	(*Response_Record_SaleInfo_ListPrice)(nil),             // 11: googlebook.Response.Record.SaleInfo.ListPrice
	(*Response_Record_SaleInfo_RetailPrice)(nil),           // 12: googlebook.Response.Record.SaleInfo.RetailPrice
	(*Response_Record_SaleInfo_Offer)(nil),                 // 13: googlebook.Response.Record.SaleInfo.Offer
	(*Response_Record_AccessInfo_Epub)(nil),                // 14: googlebook.Response.Record.AccessInfo.Epub
	(*Response_Record_AccessInfo_Pdf)(nil),                 // 15: googlebook.Response.Record.AccessInfo.Pdf
	(*common.Request)(nil),                                 // 16: common.Request
}
var file_pkg_googlebook_book_api_proto_depIdxs = []int32{
	16, // 0: googlebook.Api.request:type_name -> common.Request
	1,  // 1: googlebook.Api.response:type_name -> googlebook.Response
	2,  // 2: googlebook.Response.items:type_name -> googlebook.Response.Record
	3,  // 3: googlebook.Response.Record.volumeInfo:type_name -> googlebook.Response.Record.VolumeInfo
	4,  // 4: googlebook.Response.Record.saleInfo:type_name -> googlebook.Response.Record.SaleInfo
	5,  // 5: googlebook.Response.Record.accessInfo:type_name -> googlebook.Response.Record.AccessInfo
	6,  // 6: googlebook.Response.Record.searchInfo:type_name -> googlebook.Response.Record.SearchInfo
	7,  // 7: googlebook.Response.Record.VolumeInfo.industryIdentifiers:type_name -> googlebook.Response.Record.VolumeInfo.IndustryIdentifier
	8,  // 8: googlebook.Response.Record.VolumeInfo.readingModes:type_name -> googlebook.Response.Record.VolumeInfo.ReadingMode
	9,  // 9: googlebook.Response.Record.VolumeInfo.panelizationSummary:type_name -> googlebook.Response.Record.VolumeInfo.PanelizationSummary
	10, // 10: googlebook.Response.Record.VolumeInfo.imageLinks:type_name -> googlebook.Response.Record.VolumeInfo.ImageLinks
	11, // 11: googlebook.Response.Record.SaleInfo.listPrice:type_name -> googlebook.Response.Record.SaleInfo.ListPrice
	12, // 12: googlebook.Response.Record.SaleInfo.retailPrice:type_name -> googlebook.Response.Record.SaleInfo.RetailPrice
	13, // 13: googlebook.Response.Record.SaleInfo.offers:type_name -> googlebook.Response.Record.SaleInfo.Offer
	14, // 14: googlebook.Response.Record.AccessInfo.epub:type_name -> googlebook.Response.Record.AccessInfo.Epub
	15, // 15: googlebook.Response.Record.AccessInfo.pdf:type_name -> googlebook.Response.Record.AccessInfo.Pdf
	11, // 16: googlebook.Response.Record.SaleInfo.Offer.listPrice:type_name -> googlebook.Response.Record.SaleInfo.ListPrice
	12, // 17: googlebook.Response.Record.SaleInfo.Offer.retailPrice:type_name -> googlebook.Response.Record.SaleInfo.RetailPrice
	18, // [18:18] is the sub-list for method output_type
	18, // [18:18] is the sub-list for method input_type
	18, // [18:18] is the sub-list for extension type_name
	18, // [18:18] is the sub-list for extension extendee
	0,  // [0:18] is the sub-list for field type_name
}

func init() { file_pkg_googlebook_book_api_proto_init() }
func file_pkg_googlebook_book_api_proto_init() {
	if File_pkg_googlebook_book_api_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_pkg_googlebook_book_api_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Api); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_googlebook_book_api_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Response); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_googlebook_book_api_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Response_Record); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_googlebook_book_api_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Response_Record_VolumeInfo); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_googlebook_book_api_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Response_Record_SaleInfo); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_googlebook_book_api_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Response_Record_AccessInfo); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_googlebook_book_api_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Response_Record_SearchInfo); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_googlebook_book_api_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Response_Record_VolumeInfo_IndustryIdentifier); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_googlebook_book_api_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Response_Record_VolumeInfo_ReadingMode); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_googlebook_book_api_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Response_Record_VolumeInfo_PanelizationSummary); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_googlebook_book_api_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Response_Record_VolumeInfo_ImageLinks); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_googlebook_book_api_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Response_Record_SaleInfo_ListPrice); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_googlebook_book_api_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Response_Record_SaleInfo_RetailPrice); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_googlebook_book_api_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Response_Record_SaleInfo_Offer); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_googlebook_book_api_proto_msgTypes[14].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Response_Record_AccessInfo_Epub); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_googlebook_book_api_proto_msgTypes[15].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Response_Record_AccessInfo_Pdf); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_pkg_googlebook_book_api_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   16,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_pkg_googlebook_book_api_proto_goTypes,
		DependencyIndexes: file_pkg_googlebook_book_api_proto_depIdxs,
		MessageInfos:      file_pkg_googlebook_book_api_proto_msgTypes,
	}.Build()
	File_pkg_googlebook_book_api_proto = out.File
	file_pkg_googlebook_book_api_proto_rawDesc = nil
	file_pkg_googlebook_book_api_proto_goTypes = nil
	file_pkg_googlebook_book_api_proto_depIdxs = nil
}
